# List Notification Channels

#### Description
Returns a list of all the authenticated user's active notification channels. Closed notification channels will not be included.

#### URL format
```
{data_center_url}/v1/channels
```

#### Example Request
```http
GET /v1/channels HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
  "channels": [
    {
      "channel_id": "chn_54cf7c7cb4ad4c1027000001",
      "callback_url": {CALLBACK_URL},
      "filters": {}
    }
  ]
}
```

#### Response parameters
##### `channels.channel_id`

The ID of the push notification channel.

##### `channels.callback_url`

The URL that will receive [push notifications](/developers/api/push-notifications/index.md) for the channel.

##### `channels.filters`

Any non-default filters that are specified for the channel.

#### Error responses
##### 401 Unauthorized

The request was refused as the provided [authentication credentials](/developers/api/authentication/index.md) were not recognized.

When an OAuth `refresh_token` is available then it should be used to [request a replacement `auth_token`](/developers/api/authorization/refresh-token/index.md) before the request is retried.



---
[Read in HTML](/developers/api/push-notifications/list-channels/)